<?php

// Define some constants to make the CCM think it's in XI
define('BASEDIR', dirname(__FILE__).'/');
define('ENVIRONMENT', 'nagiosxi');

// Include CCM codebase
require_once(dirname(__FILE__) . '/includes/constants.inc.php');
include_once(dirname(__FILE__) . '/includes/common_functions.inc.php');
include_once(dirname(__FILE__) . '/includes/delete_object.inc.php');
include_once(dirname(__FILE__) . '/includes/applyconfig.inc.php');
include_once(dirname(__FILE__) . '/config.inc.php');
include_once(dirname(__FILE__) . '/classes/db.class.php');
include_once(dirname(__FILE__) . '/classes/config.class.php');
include_once(dirname(__FILE__) . '/classes/data.class.php');
include_once(dirname(__FILE__) . '/classes/import.class.php');
include_once(dirname(__FILE__) . '/classes/mysqldb.class.php');

$ccmDB = new db();

// Load CCM config settings
// TODO: This should be changed to "ccm_cfg" to not be confused with Nagios XI
$CFG['settings'] = array(); 
$settings = $ccmDB->query("SELECT * FROM tbl_settings;"); 
foreach ($settings as $s) { 
    $CFG[$s['category']][$s['name']] = $s['value']; 
}

// Initialize base global objects
$myDataClass = new nagdata($CFG);
$myConfigClass = new nagconfig($CFG);
$myDBClass = new mysqldb($CFG); 
$myImportClass = new nagimport($CFG);

// Reference objects inside of global objects
$myDataClass->myDBClass =& $myDBClass;
$myDataClass->myConfigClass =& $myConfigClass;
$myConfigClass->myDBClass =& $myDBClass;
$myConfigClass->myDataClass =& $myDataClass;
$myImportClass->myDataClass =& $myDataClass;
$myImportClass->myDBClass =& $myDBClass;
$myImportClass->myConfigClass =& $myConfigClass;
